| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
func_geometric.hpp File Reference

GLM Core More...

Go to the source code of this file.

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | cross (tvec3< T, P > const &x, tvec3< T, P > const &y)
| Returns the cross product of x and y. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | distance (vecType< T, P > const &p0, vecType< T, P > const &p1)
| Returns the distance betwwen p0 and p1, i.e., length(p0 - p1). More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | dot (vecType< T, P > const &x, vecType< T, P > const &y)
| Returns the dot product of x and y, i.e., result = x * y. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | faceforward (vecType< T, P > const &N, vecType< T, P > const &I, vecType< T, P > const &Nref)
| If dot(Nref, I) < 0.0, return N, otherwise, return -N. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | length (vecType< T, P > const &x)
| Returns the length of x, i.e., sqrt(x * x). More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | normalize (vecType< T, P > const &x)
| Returns a vector in the same direction as x but with length of 1. More...
template<typename genType >
GLM_FUNC_DECL genType | reflect (genType const &I, genType const &N)
| For the incident vector I and surface orientation N, returns the reflection direction : result = I - 2.0 * dot(N, I) * N. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | refract (vecType< T, P > const &I, vecType< T, P > const &N, T eta)
| For the incident vector I and surface normal N, and the ratio of indices of refraction eta, return the refraction vector. More...

## Detailed Description

GLM Core

See also
  GLSL 4.20.8 specification, section 8.5 Geometric Functions

Definition in file func_geometric.hpp.